priority.h File Reference

The priority class provides importance levels with which one can categorize log messages. More...

`#include <log4c/defs.h>`

Go to the source code of this file.

## Enumerations

enum | log4c_priority_level_t { LOG4C_PRIORITY_FATAL = 000, LOG4C_PRIORITY_ALERT = 100, LOG4C_PRIORITY_CRIT = 200, LOG4C_PRIORITY_ERROR = 300, LOG4C_PRIORITY_WARN = 400, LOG4C_PRIORITY_NOTICE = 500, LOG4C_PRIORITY_INFO = 600, LOG4C_PRIORITY_DEBUG = 700, LOG4C_PRIORITY_TRACE = 800, LOG4C_PRIORITY_NOTSET = 900, LOG4C_PRIORITY_UNKNOWN = 1000 }

## Functions

const char * | log4c_priority_to_string (int a_priority)
int | log4c_priority_to_int (const char *a_priority_name)

## Detailed Description

The priority class provides importance levels with which one can categorize log messages.

## Enumeration Type Documentation

## log4c_priority_level_t

enum log4c_priority_level_t

Predefined Levels of priorities. These correspond to the priority levels used by syslog(3).

Enumerator
LOG4C_PRIORITY_FATAL | fatal
LOG4C_PRIORITY_ALERT | alert
LOG4C_PRIORITY_CRIT | crit
LOG4C_PRIORITY_ERROR | error
LOG4C_PRIORITY_WARN | warn
LOG4C_PRIORITY_NOTICE | notice
LOG4C_PRIORITY_INFO | info
LOG4C_PRIORITY_DEBUG | debug
LOG4C_PRIORITY_TRACE | trace
LOG4C_PRIORITY_NOTSET | notset
LOG4C_PRIORITY_UNKNOWN | unknown

## Function Documentation

## log4c_priority_to_int()

int log4c_priority_to_int | ( | const char * | a_priority_name | ) |

Parameters

  a_priority_name | a priority string name.

Returns
  the given numeric value of the priority.

References LOG4C_PRIORITY_UNKNOWN.

## log4c_priority_to_string()

const char* log4c_priority_to_string | ( | int | a_priority | ) |

Parameters

  a_priority | a numeric value of the priority.

Returns
  the given priority string name.